Skip to content

Confirm a crypto to fiat quote.

POST
/api/v1/sell/confirm

To confirm, you should submit a quote and a bankAccount. Optional parameters are callBackUrl and partnerOrderIdentifier.

object
callbackUrl

After the order is finished, we will send a request to this url.

string
Example
https://www.example.com/payment-completed
partnerOrderIdentifier

Unique identifier provided by the partner.

string
Example
4ea2b5e9-a413-4359-a8f6-9263ae8a0ee7
quote
required

The quote generated by the sell/quote endpoint.

string
Example
eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJlbmNyeXB0ZWQiOiJ0b2tlbiJ9.gj80-9FPf_Wl7CGg2eDEFHokoEVtXIT7l4F88ztgxnhGIuhjOrhZ6xZLT3vuJPKXam_jQskm1PuM7T0OQdawDw
bankAccount

The IBAN account number to which to send the payment to. DEPRECATED: Use accountIdentifier instead.

string
Example
NL37BUNQ2025406444
accountIdentifier

The account identifier to which to send the payment to. For example an IBAN, depending on the payment method used.

string
Example
NL37BUNQ2025406444

Returns an address to send the cryptocurrency to.

object
orderId
required

The order id.

integer
Example
1234
walletAddress
required

The address of the wallet to send the crypto’s to.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}
orderExpireTime

The date and time upto which the user can send the coins, afterwards the received amount will be paid out.

string
Example
2020-09-25T12:43:25Z
transactionFee

The transaction fee that will be subtracted from the estimated payout

number
Example
0.55

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER006 ER007 ER008 ER016 ER017 ER124 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER006": {
"code": "ER006",
"message": "The provided quote has expired.",
"solution": "Request a new quote."
},
"ER007": {
"code": "ER007",
"message": "The provided quote contains invalid data. It is possible it has been tampered with.",
"solution": "Provide a valid quote."
},
"ER008": {
"code": "ER008",
"message": "The selected currency is down for maintenance.",
"solution": "Check /api/v1/system/currency-pairs to see whether the selected currency is enabled, and try again."
},
"ER016": {
"code": "ER016",
"message": "Selling is down for maintenance.",
"solution": "Check /api/v1/system/currency-pairs to see whether buying has been enabled, and try again."
},
"ER017": {
"code": "ER017",
"message": "The provided quote is not a sell quote.",
"solution": "Request a new sell quote."
},
"ER124": {
"code": "ER124",
"message": "User is disabled.",
"solution": "Please contact support for assistance."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}